# Pictures
## Overview
Pictures is a simple, user-friendly image viewer that supports multiple image formats. While viewing the picture, you can also edit and process the picture simply, such as zooming in,
zooming out, rotating, flipping, deleting, etc. In addition, you can view the details of the picture. The main interface is shown in Figure 1.

![Fig 1 Eyes of Pictures-big](image/main.png)
<br>

## Basic Function
Icons and Function:

| Icon | Function | Icon | Function |
| :------------ | :------------ | :------------ | :------------ |
|![](image/btn0.png)|	Open image	|![](image/btn1.png)|	Previous
|![](image/btn2.png)|	Next|![](image/btn3.png)|	Enlarge
|![](image/btn4.png)|	Shrink|![](image/btn5.png)|	Show as normal size
|![](image/btn6.png)|	Fit to the window|![](image/btn7.png)|Rotate 90 degrees
|![](image/btn8.png)|	Flip horizontally|![](image/btn9.png)|Flip vertical
|![](image/btn10.png)|	View details|![](image/btn12.png)| Sidebar
|![](image/btn11.png)| Delete to trash |![](image/btn13.png)| Crop

<br>

Click the "+" button in the main interface or the "![](image/menu1.png)" button to open a picture. Click the Sidebar or "next" or "back" button to switch. As shown in Figure 2.

![Fig 2 Open image-big](image/openImage.png)
<br>

## Toolbar
Toolbar mainly provides some operations on pictures, including: zoom out, zoom in, view the original size of the picture, adapt to the size of the window, rotate, flip horizontally, flip
vertically, view the details of the picture, delete.
The functions of changing the size include: reducing, enlarging, viewing the original size of the picture, and adapting to the size of the window。Take zooming in as an example, click the 
"![](image/btn3.png)" button on the toolbar to zoom in the picture. When the picture is enlarged beyond the visual range of the main interface, drag the highlight window in the middle of the
navigator to view the whole picture. As shown in Figure 3.

![Fig 3 Enlarge——Navigator-big](image/enlarge1.png)

The functions of image rotation include: rotation, horizontal mirror and vertical mirror.Take rotation as an example, click the “![](image/btn7.png)” button of the toolbar to rotate picture 90°
 clockwise. As shown in Figure 4.

![Fig 4 Rorate-big](image/rorate.png)

Click the "![](image/btn12.png)" button in the toolbar to view the Sidebar of all supported pictures in the folder where the current picture is located on the left side of the main
interface. Click one to switch the display of the current picture in the main interface. As shown in Figure 5.

![Fig 5 Sidebar-big](image/side.png)

Click the "![](image/btn10.png)" button in the toolbar to view the details of the current picture in the upper right window of the main interface. As shown in Figure 5.

![Fig 6 View details-big](image/information1.png)

Click the "![](image/btn13.png)" button in the toolbar to crop the current picture. As shown in Figure 5.

![Fig 7 Crop-big](image/cutImage.png)

Click the "![](image/btn11.png)" button in the toolbar to delete the current picture to the recycle bin.

<br>

## ContextMenu
The right-click menu of pictures mainly includes the following functions: copy, print, delete, rename, set as desktop wallpaper, and show in file. As shown in Figure 7.

![Fig 7 Right click menu-big](image/menu.png)

Click the copy option to copy the image to the clipboard. Click the print option to send the picture to the printer for printing. Click the delete option to delete the current picture to the
recycle bin. Click rename to edit the current image file name. Click save as to save the current image as other format. In addition, you can set the image format supported by desktop wallpaper to desktop wallpaper. Finally, you can select display
directly in the folder.

<br>

## Appendix
### Shortcut Key

| Shortcut | Function |
| :------------ | :------------ | 
|← | Previous
|→ | Next
|del | Delete
|esc | Cancel
|enter | Save

